Bug Hunting Session
Bug 81291 - Opening the “manage names” dialog lets the content of the input line disappear
Summary: Opening the “manage names” dialog lets the content of the input line disappear
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Formula-Bar
  Show dependency treegraph
 
Reported: 2014-07-13 13:16 UTC by Albrecht Müller
Modified: 2019-09-14 02:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file to show the effect. (60.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-07-13 13:16 UTC, Albrecht Müller
Details
Example file to show the effect. (60.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-07-13 13:24 UTC, Albrecht Müller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Albrecht Müller 2014-07-13 13:16:04 UTC
Created attachment 102699 [details]
Example file to show the effect.

How to reproduce:
Select some non empty cell, i.e. one that shows some content in the input line. Press CRTL+F3 to open the “manage names” dialog box. The input line becomes blank. Close the dialog box. The content of the input line reappears.

As the input line may contain information relevant for the work with the “manage names” dialog box, this triggers unnecessary closing and opening of this dialog. This is especially bad in conjunction with the fact, that reopening the dialog resets all size settings which may be necessary to see its content. 

Expected behaviour:
The content of the selected cell should be visible while the “manage names” dialog box is open.

Observed with Libre Office Version: 4.2.5.2 and Windows 7
Comment 1 Albrecht Müller 2014-07-13 13:24:16 UTC
Created attachment 102700 [details]
Example file to show the effect.
Comment 2 Albrecht Müller 2014-07-13 13:49:20 UTC
See also bug 81293.
Comment 3 Kevin Suo 2014-07-17 14:25:17 UTC
Confirmed with version 4.3.0.2, ubuntu 14.04 x86.
Set to NEW, platform: ALL.
Comment 4 tommy27 2016-04-16 07:22:47 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:22:12 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2018-09-13 15:07:17 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: de-AT (de_AT); Calc: CL
Comment 7 QA Administrators 2019-09-14 02:47:55 UTC
Dear Albrecht Müller,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug